try
{
    if ($false -eq (Confirm-SecureBootUEFI))
    {
        "Secure Boot not Enabled, provisioning Secure Boot..."

        if (Test-Path "Existing_dbx_SigList.bin")
        {
            Set-SecureBootUEFI -Name db -Time 2011-05-21T13:30:00Z -ContentFilePath OutOfBox_Windows_db_SigList.bin -AppendWrite
       
            Set-SecureBootUEFI -Name db -Time 2011-05-21T13:30:00Z -ContentFilePath OutOfBox_3rdPartyUEFI_db_SigList.bin -AppendWrite

            Set-SecureBootUEFI -Name dbx -Time 2011-05-21T13:30:00Z -ContentFilePath Existing_dbx_SigList.bin -AppendWrite
     
            Set-SecureBootUEFI -Name dbx -Time 2010-03-06T19:17:21Z -ContentFilePath dbx_SigListContent.bin -AppendWrite
       
            Set-SecureBootUEFI -Name KEK -Time 2011-05-21T13:30:00Z -ContentFilePath OutOfBox_KEK_SigList.bin -AppendWrite

            Set-SecureBootUEFI -Time 2011-05-21T13:30:00Z -ContentFilePath OEM_PK_SigList.bin -Name PK
        }

        else
        {
            Write-Host -foreground "red" "Existing_dbx_SigList.bin not found.  Please run SavePlatformKey.cmd first."
            Pause
            Exit
        }
    }
    else
    {
        Write-Host -foreground "red" "Error secure boot is already provisioned on this machine..."
    }
}
catch
{
    Write-Host -foreground "red" "Error provisioning secure boot, please contact Microsoft for further assistance"
}

